fse.vo

## Class AccessLog

- java.lang.Object
- - fse.vo.AccessLog

-     public class AccessLog
      extends java.lang.Object

  Contiene i dati di un singolo accesso al fascicolo di un assistito

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `assumptionOfResponsability`
    `private java.util.Date` | `date`
    `private java.lang.String` | `description`
    `private java.lang.String` | `documentType`
    `private DocumentURI` | `documentURI`
    `private boolean` | `emergency`
    `private boolean` | `failed`
    `private java.lang.String` | `locality`
    `private java.lang.String` | `operation`
    `private java.lang.String` | `operatorCode`
    `private java.lang.String` | `organizationCode`
    `private java.lang.String` | `organizationName`
    `private java.lang.String` | `role`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessLog()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAssumptionOfResponsability()` Restituisce l'assunzione di responsabilità specificata per gli accessi in regime di emergenza.
    `java.util.Date` | `getDate()` Restituisce la data dell'operazione.
    `java.lang.String` | `getDescription()` Restituisce una descrizione testuale dell'operazione e dell'esito che ha ottenuto.
    `java.lang.String` | `getDocumentType()` Restituisce il tipo di documento, codificato secondo la codifica LOINC, su cui l'operazione ha avuto effetto (se disponibile).
    `DocumentURI` | `getDocumentURI()` Restituisce l'identificativo del documento su cui l'operazione ha avuto effetto (se disponibile).
    `java.lang.String` | `getLocality()` Restituisce la struttura da cui si è effettuato l'accesso
    `java.lang.String` | `getOperation()` Restituisce l'operazione richiesta.
    `java.lang.String` | `getOperatorCode()` Restituisce il codice fiscale dell'operatore che ha effettuato la richiesta.
    `java.lang.String` | `getOrganizationCode()` Restituisce il codice dell'organizzazione con cui si è effettuato l'accesso
    `java.lang.String` | `getOrganizationName()` Restituisce il nome dell'organizzazione con cui si è effettuato l'accesso
    `java.lang.String` | `getRole()` Restituisce il ruolo istituzionale con cui si è effettuato l'accesso
    `boolean` | `isEmergency()` Restituisce un flag che indica se la richiesta è stata fatta in regime di emergenza.
    `boolean` | `isFailed()` Restituisce un flag che indica se l'operazione richiesta ha generato errori.
    `void` | `setAssumptionOfResponsability(java.lang.String assumptionOfResponsability)` Imposta l'assunzione di responsabilità specificata per gli accessi in regime di emergenza.
    `void` | `setDate(java.util.Date date)` Imposta la data dell'operazione
    `void` | `setDescription(java.lang.String description)` Imposta una descrizione testuale dell'operazione e dell'esito che ha ottenuto.
    `void` | `setDocumentType(java.lang.String documentType)` Imposta il tipo di documento, codificato secondo la codifica LOINC, su cui l'operazione ha avuto effetto (se applicabile).
    `void` | `setDocumentURI(DocumentURI documentURI)` Imposta l'identificativo del documento su cui l'operazione ha avuto effetto (se applicabile).
    `void` | `setEmergency(boolean emergency)` Imposta il flag che indica se la richiesta è stata fatta in regime di emergenza
    `void` | `setFailed(boolean failed)` Imposta il flag che indica se l'operazione richiesta ha generato errori
    `void` | `setLocality(java.lang.String locality)` Imposta la struttura da cui si è effettuato l'accesso
    `void` | `setOperation(java.lang.String operation)` Imposta l'operazione richiesta.
    `void` | `setOperatorCode(java.lang.String operatorCode)` Imposta il codice fiscale dell'operatore che ha effettuato la richiesta
    `void` | `setOrganizationCode(java.lang.String organizationCode)` Imposta il codice dell'organizzazione con cui si è effettuato l'accesso
    `void` | `setOrganizationName(java.lang.String organizationName)` Imposta il nome dell'organizzazione con cui si è effettuato l'accesso
    `void` | `setRole(java.lang.String role)` Imposta il ruolo istituzionale con cui si è effettuato l'accesso

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### operatorCode

          private java.lang.String operatorCode

    - #### date

          private java.util.Date date

    - #### operation

          private java.lang.String operation

    - #### description

          private java.lang.String description

    - #### documentURI

          private DocumentURI documentURI

    - #### documentType

          private java.lang.String documentType

    - #### failed

          private boolean failed

    - #### emergency

          private boolean emergency

    - #### assumptionOfResponsability

          private java.lang.String assumptionOfResponsability

    - #### role

          private java.lang.String role

    - #### organizationCode

          private java.lang.String organizationCode

    - #### organizationName

          private java.lang.String organizationName

    - #### locality

          private java.lang.String locality

  - ### Constructor Detail

    - #### AccessLog

          public AccessLog()

  - ### Method Detail

    - #### getOperatorCode

          public java.lang.String getOperatorCode()

      Restituisce il codice fiscale dell'operatore che ha effettuato la richiesta. Parametro facoltativo.
      Returns:
        il codice fiscale dell'operatore

    - #### setOperatorCode

          public void setOperatorCode(java.lang.String operatorCode)

      Imposta il codice fiscale dell'operatore che ha effettuato la richiesta
      Parameters:
        `operatorCode` - il codice fiscale dell'operatore

    - #### getDate

          public java.util.Date getDate()

      Restituisce la data dell'operazione. Parametro obbligatorio.
      Returns:
        la data dell'operazione

    - #### setDate

          public void setDate(java.util.Date date)

      Imposta la data dell'operazione
      Parameters:
        `date` - la data dell'operazione

    - #### getOperation

          public java.lang.String getOperation()

      Restituisce l'operazione richiesta. Questa coincide con il servizio richiamato e può assumere uno tra i seguenti valori.
      - addDocument
      - updateDocument
      - queryDocument
      - retrieveDocument
      - setAccessPolicies
      - getAccessPolicies
      - setReadingAgreement
      - setWritingAgreement
      - getReadingAgreement
      - qetWritingAgreement
      - blindDocument
      Parametro obbligatorio.
      Returns:
        l'operazione richiesta

    - #### setOperation

          public void setOperation(java.lang.String operation)

      Imposta l'operazione richiesta. Questa coincide con il servizio richiamato e può assumere uno tra i seguenti valori.
      - addDocument
      - updateDocument
      - queryDocument
      - retrieveDocument
      - setAccessPolicies
      - getAccessPolicies
      - setReadingAgreement
      - setWritingAgreement
      - getReadingAgreement
      - qetWritingAgreement
      - blindDocument
      Parameters:
        `operation` - l'operazione richiesta

    - #### getDescription

          public java.lang.String getDescription()

      Restituisce una descrizione testuale dell'operazione e dell'esito che ha ottenuto. Parametro obbligatorio.
      Returns:
        la descrizione testuale dell'operazione

    - #### setDescription

          public void setDescription(java.lang.String description)

      Imposta una descrizione testuale dell'operazione e dell'esito che ha ottenuto.
      Parameters:
        `description` - la descrizione dell'operazione

    - #### getDocumentURI

          public DocumentURI getDocumentURI()

      Restituisce l'identificativo del documento su cui l'operazione ha avuto effetto (se disponibile). Parametro facoltativo.
      Returns:
        l'eventuale identificativo del documento

    - #### setDocumentURI

          public void setDocumentURI(DocumentURI documentURI)

      Imposta l'identificativo del documento su cui l'operazione ha avuto effetto (se applicabile).
      Parameters:
        `documentURI` - l'eventuale identificativo del documento

    - #### getDocumentType

          public java.lang.String getDocumentType()

      Restituisce il tipo di documento, codificato secondo la codifica LOINC, su cui l'operazione ha avuto effetto (se disponibile). Parametro facoltativo.
      Per un elenco dei possibili tipi di documento consultare le Specifiche di Integrazione.
      Returns:
        il tipo di documento secondo la codifica LOINC

    - #### setDocumentType

          public void setDocumentType(java.lang.String documentType)

      Imposta il tipo di documento, codificato secondo la codifica LOINC, su cui l'operazione ha avuto effetto (se applicabile).
      Per un elenco dei possibili tipi di documento consultare le Specifiche di Integrazione.
      Parameters:
        `documentType` - il tipo di documento secondo la codifica LOINC

    - #### isFailed

          public boolean isFailed()

      Restituisce un flag che indica se l'operazione richiesta ha generato errori. Parametro obbligatorio.
      Returns:
        `true` se l'operazione è fallita, `false` se eseguita correttamente

    - #### setFailed

          public void setFailed(boolean failed)

      Imposta il flag che indica se l'operazione richiesta ha generato errori
      Parameters:
        `failed` - `true` se l'operazione è fallita, `false` se eseguita correttamente

    - #### isEmergency

          public boolean isEmergency()

      Restituisce un flag che indica se la richiesta è stata fatta in regime di emergenza. Parametro obbligatorio.
      Returns:
        `true` se l'operazione è stata effettuata in emergenza, `false` altrimenti

    - #### setEmergency

          public void setEmergency(boolean emergency)

      Imposta il flag che indica se la richiesta è stata fatta in regime di emergenza
      Parameters:
        `emergency` - `true` se l'operazione è stata effettuata in emergenza, `false` altrimenti

    - #### getAssumptionOfResponsability

          public java.lang.String getAssumptionOfResponsability()

      Restituisce l'assunzione di responsabilità specificata per gli accessi in regime di emergenza. Applicabile solo se `emergency` è `true`. Parametro facoltativo.
      Returns:
        l'assunzione di responsabilità specificata

    - #### setAssumptionOfResponsability

          public void setAssumptionOfResponsability(java.lang.String assumptionOfResponsability)

      Imposta l'assunzione di responsabilità specificata per gli accessi in regime di emergenza. Applicabile solo se `emergency` è `true`
      Parameters:
        `assumptionOfResponsability` - l'assunzione di responsabilità specificata

    - #### getRole

          public java.lang.String getRole()

      Restituisce il ruolo istituzionale con cui si è effettuato l'accesso
      Returns:
        il ruolo istituzionale

    - #### setRole

          public void setRole(java.lang.String role)

      Imposta il ruolo istituzionale con cui si è effettuato l'accesso
      Parameters:
        `role` - il nuovo ruolo istituzionale

    - #### getOrganizationCode

          public java.lang.String getOrganizationCode()

      Restituisce il codice dell'organizzazione con cui si è effettuato l'accesso
      Returns:
        il codice dell'organizzazione

    - #### setOrganizationCode

          public void setOrganizationCode(java.lang.String organizationCode)

      Imposta il codice dell'organizzazione con cui si è effettuato l'accesso
      Parameters:
        `organizationCode` - il nuovo codice dell'organizzazione

    - #### getOrganizationName

          public java.lang.String getOrganizationName()

      Restituisce il nome dell'organizzazione con cui si è effettuato l'accesso
      Returns:
        il nome dell'organizzazione

    - #### setOrganizationName

          public void setOrganizationName(java.lang.String organizationName)

      Imposta il nome dell'organizzazione con cui si è effettuato l'accesso
      Parameters:
        `organizationName` - il nome dell'organizzazione

    - #### getLocality

          public java.lang.String getLocality()

      Restituisce la struttura da cui si è effettuato l'accesso
      Returns:
        il nome della struttura

    - #### setLocality

          public void setLocality(java.lang.String locality)

      Imposta la struttura da cui si è effettuato l'accesso
      Parameters:
        `locality` - il nuovo nome della struttura